Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QSsl.AlternateNameEntryType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QSsl.AlternateNameEntryType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  QSsl

    public static final class QSsl.AlternateNameEntryType

extends java.lang.Enum
implements QtEnumerator

Describes the key types for alternate name entries in QSslCertificate.

See also:
  QSslCertificate::alternateSubjectNames().

See Also:
  Serialized Form

Field Summary
`static QSsl.AlternateNameEntryType` | `DnsEntry` A DNS host name entry; the entry contains a host name entry that the certificate is valid for.
`static QSsl.AlternateNameEntryType` | `EmailEntry` An email entry; the entry contains an email address that the certificate is valid for.

Method Summary
`static QSsl.AlternateNameEntryType` | `resolve(int value)` Returns the AlternateNameEntryType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSsl.AlternateNameEntryType` | `valueOf(java.lang.String name)`
`static QSsl.AlternateNameEntryType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### EmailEntry

    public static final QSsl.AlternateNameEntryType EmailEntry

  An email entry; the entry contains an email address that the certificate is valid for.

### DnsEntry

    public static final QSsl.AlternateNameEntryType DnsEntry

  A DNS host name entry; the entry contains a host name entry that the certificate is valid for. The entry may contain wildcards.

Method Detail

### values

    public static QSsl.AlternateNameEntryType[] values()

### valueOf

    public static QSsl.AlternateNameEntryType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSsl.AlternateNameEntryType resolve(int value)

  Returns the AlternateNameEntryType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD